pcl::keypoints::agast::OastDetector9_16 Class Reference
Module keypoints

Detector class for AGAST corner point detector (OAST 9_16). More...

`#include <pcl/keypoints/agast_2d.h>`

Inheritance diagram for pcl::keypoints::agast::OastDetector9_16:

## Public Types

typedef boost::shared_ptr< OastDetector9_16 > | Ptr
typedef boost::shared_ptr< const OastDetector9_16 > | ConstPtr
Public Types inherited from pcl::keypoints::agast::AbstractAgastDetector
typedef boost::shared_ptr< AbstractAgastDetector > | Ptr
typedef boost::shared_ptr< const AbstractAgastDetector > | ConstPtr

## Public Member Functions

| OastDetector9_16 (const size_t width, const size_t height, const double threshold, const double bmax=255)
| Constructor. More...
| ~OastDetector9_16 ()
| Destructor. More...
int | computeCornerScore (const unsigned char *im) const
| Computes corner score. More...
int | computeCornerScore (const float *im) const
| Computes corner score. More...
void | detect (const unsigned char *im, std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > &corners_all) const
| Detects points of interest (i.e., keypoints) in the given image. More...
void | detect (const float *im, std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > &corners_all) const
| Detects points of interest (i.e., keypoints) in the given image. More...
Public Member Functions inherited from pcl::keypoints::agast::AbstractAgastDetector
| AbstractAgastDetector (const size_t width, const size_t height, const double threshold, const double bmax)
| Constructor. More...
virtual | ~AbstractAgastDetector ()
| Destructor. More...
void | detectKeypoints (const std::vector< unsigned char > &intensity_data, pcl::PointCloud< pcl::PointUV > &output)
| Detects corner points. More...
void | detectKeypoints (const std::vector< float > &intensity_data, pcl::PointCloud< pcl::PointUV > &output)
| Detects corner points. More...
void | applyNonMaxSuppression (const std::vector< unsigned char > &intensity_data, const pcl::PointCloud< pcl::PointUV > &input, pcl::PointCloud< pcl::PointUV > &output)
| Applies non-max-suppression. More...
void | applyNonMaxSuppression (const std::vector< float > &intensity_data, const pcl::PointCloud< pcl::PointUV > &input, pcl::PointCloud< pcl::PointUV > &output)
| Applies non-max-suppression. More...
void | setThreshold (const double threshold)
| Sets the threshold for corner detection. More...
double | getThreshold ()
| Get the threshold for corner detection, as set by the user. More...
void | setMaxKeypoints (const unsigned int nr_max_keypoints)
| Sets the maximum number of keypoints to return. More...
unsigned int | getMaxKeypoints ()
| Get the maximum nuber of keypoints to return, as set by the user. More...

## Protected Member Functions

void | initPattern ()
| Initializes the sample pattern. More...
Protected Member Functions inherited from pcl::keypoints::agast::AbstractAgastDetector
void | applyNonMaxSuppression (const pcl::PointCloud< pcl::PointUV > &input, const std::vector< ScoreIndex > &scores, pcl::PointCloud< pcl::PointUV > &output)
| Non-max-suppression helper method. More...
void | computeCornerScores (const unsigned char *im, const std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > &corners_all, std::vector< ScoreIndex > &scores)
| Computes corner scores for the specified points. More...
void | computeCornerScores (const float *im, const std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > &corners_all, std::vector< ScoreIndex > &scores)
| Computes corner scores for the specified points. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::keypoints::agast::AbstractAgastDetector
size_t | width_
| Width of the image to process. More...
size_t | height_
| Height of the image to process. More...
double | threshold_
| Threshold for corner detection. More...
unsigned int | nr_max_keypoints_
| The maximum number of keypoints to return. More...
double | bmax_
| Max image value. More...

## Detailed Description

Detector class for AGAST corner point detector (OAST 9_16).

Adapted from the C++ implementation of Elmar Mair (http://www6.in.tum.de/Main/ResearchAgast).

Author
  Stefan Holzer

Definition at line 424 of file agast_2d.h.

## Member Typedef Documentation

typedef boost::shared_ptr<const OastDetector9_16> pcl::keypoints::agast::OastDetector9_16::ConstPtr

Definition at line 428 of file agast_2d.h.

typedef boost::shared_ptr<OastDetector9_16> pcl::keypoints::agast::OastDetector9_16::Ptr

Definition at line 427 of file agast_2d.h.

## Constructor & Destructor Documentation

pcl::keypoints::agast::OastDetector9_16::OastDetector9_16 | ( | const size_t | width,
|  | const size_t | height,
|  | const double | threshold,
|  | const double | bmax = `255`
| ) |  |

inline

Constructor.

Parameters

  [in] | width | the width of the image to process
  [in] | height | the height of the image to process
  [in] | threshold | the corner detection threshold
  [in] | bmax | the max image value (default: 255)

Definition at line 436 of file agast_2d.h.

pcl::keypoints::agast::OastDetector9_16::~OastDetector9_16 | ( |  | ) |

inline

Destructor.

Definition at line 446 of file agast_2d.h.

## Member Function Documentation

int pcl::keypoints::agast::OastDetector9_16::computeCornerScore | ( | const unsigned char * | im | ) | const

virtual

Computes corner score.

Parameters

  im |

Implements pcl::keypoints::agast::AbstractAgastDetector.

int pcl::keypoints::agast::OastDetector9_16::computeCornerScore | ( | const float * | im | ) | const

virtual

Computes corner score.

Parameters

  im |

Implements pcl::keypoints::agast::AbstractAgastDetector.

void pcl::keypoints::agast::OastDetector9_16::detect | ( | const unsigned char * | im,
|  | std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > & | corners_all
| ) |  | const

virtual

Detects points of interest (i.e., keypoints) in the given image.

Parameters

  [in] | im | the image to detect keypoints in
  [out] | corners_all | the resultant set of keypoints detected

Implements pcl::keypoints::agast::AbstractAgastDetector.

void pcl::keypoints::agast::OastDetector9_16::detect | ( | const float * | im,
|  | std::vector< pcl::PointUV, Eigen::aligned_allocator< pcl::PointUV > > & | corners_all
| ) |  | const

virtual

Detects points of interest (i.e., keypoints) in the given image.

Parameters

  [in] | im | the image to detect keypoints in
  [out] | corners_all | the resultant set of keypoints detected

Implements pcl::keypoints::agast::AbstractAgastDetector.

void pcl::keypoints::agast::OastDetector9_16::initPattern | ( |  | ) |

protected virtual

Initializes the sample pattern.

Implements pcl::keypoints::agast::AbstractAgastDetector.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/keypoints/include/pcl/keypoints/agast_2d.h